org.restlet.engine.io

## Class NbChannelOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.restlet.engine.io.NbChannelOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public class NbChannelOutputStream
    extends java.io.OutputStream

Output stream connected to a non-blocking writable channel.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`NbChannelOutputStream(java.nio.channels.WritableByteChannel channel)` Constructor.

### Method Summary

Methods
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`close, flush, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NbChannelOutputStream

    public NbChannelOutputStream(java.nio.channels.WritableByteChannel channel)

Constructor.

Parameters:
  `channel` - The wrapped channel.

### Method Detail

#### write

    public void write(byte[] b,
             int off,
             int len)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(int b)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`